Subject: bug#9918: 24.0.90; lazy-highlighting in Info mode

From: Dani Moncayo <[email-masked]>
Date: Thu, 3 Nov 2011 20:24:13 +0100

> I think that these two informative messages ("initial node", "end of
> the manual") fall into the same category as the messages that are
> added to the Isearch prompt ("Failing", "Wrapped", "Overwrapped",
> "Failing overwrapped", ...).  So I propose to present all these
> "Isearch flags" to the user using a common pattern. For example:
> * "Isearch:"
> * "Isearch [failing]:"
> * "Isearch [overwrapped]:"
> * "Isearch [failing, overwrapped]:"
> * "Isearch [failing, initial node]:"
>
> It would add consistency to the Isearch visual feedback.

... however a downside of this approach is that the position of the
search string varies each time a flag is added to or removed from the
prompt.  I really dislike that, and btw, this effect occurs currently
("I-search: foo" -> "Failing I-search: foo" ...).

So, I rather would write the flags at the right side of the search
string, like the error messages are showed right now:
* "Isearch: foo"
* "Isearch: foo [failing]"
* "Isearch: foo [failing, overwrapped]"
* "Isearch: foo [failing, initial node]"
...

This approach raises a question: how to show the _error_ flags to make
them distinguishable from the _informative_ flags?

One possibility is to show all the flags the same way.  After all, the
fact that the errors deactivate the Isearch should be enough for the
user to know what's going on, I think.

-- 
Dani Moncayo